Arch Rahmen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Frame and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська
Arrow-left.svg Vorherige: Arch Nest.svg Verschachteln
Nächste: Zaun Arch Fence.svg Arrow-right.svg

Arch Frame.svg Arch Rahmen

Menüeintrag
Arch → Rahmen
Arbeitsbereich
Arch
Standardtastenkürzel
F R
Eingeführt in Version
-
Siehe auch
Arch Wand, Arch Struktur

Beschreibung

Das Arch Frame.svg Arch Rahmen-Werkzeug wird verwendet, um alle Arten von Rahmenobjekten basierend auf einem Profil und einem Layout zu erstellen. Das Profil wird entlang der Kanten des Layouts extrudiert, bei dem es sich um ein beliebiges 2D-Objekt handeln kann, z. B. ein Skizze oder ein Entwurfsobjekt. Es ist besonders nützlich, um Geländer oder Rahmenwände zu erstellen. Rahmenobjekte können dann leicht in Wände oder Struktur-Objekte umgewandelt werden.

Arch Frame example.jpg

Rahmenobjekt erstellt aus einem Entwurf orthogonales Feld aus einer Entwurf Linie, unter Verwendung eines Kreises als Profil

Anwendung

  1. Erstelle ein Layout- und ein Profilobjekt, beispielsweise mit dem Draft-Arbeitsbereich oder dem Skizzen-Arbeitsbereich.
  2. Wähle zuerst das Layoutobjekt, mit gedrückter Strg-Taste wähle das Profilobjekt.
  3. Drücke die Arch Frame.svg Rahmen-Schaltfläche oder drücke die Tasten F, dann R.

Optionen

  • Frames teilen die gemeinsamen Eigenschaften und Verhaltensweisen aller Arch-Komponenten
  • Das Rahmenobjekt kann in einem bestimmten Abstand vom Layoutobjekt platziert werden, indem seine Versatz Eigenschaft eingestellt wird.
  • Das Profil wird an der Basis jeder Kante des Layoutobjekts kopiert und dann entlang dieser Kante extrudiert. Du kannst mit den Eigenschaften Ausrichten und Drehen steuern, wie das Profil an der Basis jeder Kante platziert wird.

Eigenschaften

  • Daten-EigenschaftBasis: Das Layout, auf dem dieser Rahmen basiert.
  • Daten-EigenschaftProfil: Das Profil, auf dem dieser Rahmen basiert.
  • Daten-EigenschaftAusrichten: Legt fest, ob das Profil gedreht werden muss, um die (Hoch)-Achse an jeder Kante auszurichten.
  • Daten-EigenschaftVersatz: Ein optionaler Abstand zwischen Layout- und Rahmen-Objekt.
  • Daten-EigenschaftDrehung: Die Drehung des Profils um die Extrusionsachse.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Rahmen Werkzeug kann in Makros und aus der Python Konsole heraus durch Verwendung der folgenden Funktionen verwendet werden:

Frame = makeFrame(baseobj, profile)
  • Erstellt ein Frame Objekt aus dem gegebenen baseobj und profile.
  • profile ist ein extrudierbares 2D-Objekt, das Fläche oder geschlossene Linienzüge enthält.

Beispiel:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Vorherige: Arch Nest.svg Verschachteln
Nächste: Zaun Arch Fence.svg Arrow-right.svg